apiVersion: v1
kind: Pod
metadata:
  name: "utopiatests-https-redirect-sh-test"
  annotations:
    helm.sh/hook: test-success
spec:
  serviceAccountName: testing-account
  containers:
    - name: test
      image: ghcr.io/utopia-planitia/helm-tests-image:latest
      command:
        - bash
        - https-redirect.sh
      volumeMounts:
        - name: test-scripts
          mountPath: "/tests"
          readOnly: true
  volumes:
    - name: test-scripts
      secret:
        secretName: "utopiatests-test-scripts"
  restartPolicy: Never
